aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authoriceyrazor <iceyrazor@mailfence.com>2026-05-24 02:06:58 -0500
committericeyrazor <iceyrazor@mailfence.com>2026-05-24 02:06:58 -0500
commit5b935bd395ed7401f0a1ad92d119c9d594f2796d (patch)
treed2f1359d566c87a9986e191e06c8edecaa4766cf
parent9572c2996509059d658bb393c215dd0afa90b827 (diff)
some posix changesHEADmain
new themes
-rwxr-xr-xsave-theme6
-rwxr-xr-xset-theme27
-rwxr-xr-xsetwll31
-rwxr-xr-xthemes/Labirhin-bot.sh36
-rwxr-xr-xthemes/dark-purple.sh36
-rwxr-xr-xthemes/neothea.sh36
6 files changed, 141 insertions, 31 deletions
diff --git a/save-theme b/save-theme
index 2dfb7c3..28bddea 100755
--- a/save-theme
+++ b/save-theme
@@ -1,7 +1,7 @@
-#!/bin/bash
-cd "$(dirname "$0")"
+#!/bin/sh
+cd "$(dirname "$0")" || exit
-if [ "$1" == "" ]; then
+if [ "$1" = "" ]; then
echo theme name not set :\<
exit 1
fi
diff --git a/set-theme b/set-theme
index 282d6b1..516ee88 100755
--- a/set-theme
+++ b/set-theme
@@ -1,12 +1,12 @@
-#!/bin/bash
+#!/bin/sh
# CONFIG
ignore_background_color="#04000a"
highlight="#08000a"
-default_theme="catppuccin"
+default_theme="tokyo-night"
# END CONFIG
-cd "$(dirname "$0")"
+cd "$(dirname "$0")" || exit
ignore_file=0
list_files=0
@@ -14,7 +14,7 @@ ignore_background=0
run_pywal=0
set_wallpaper=0
-while getopts "h?lpbw" opt; do
+while getopts "hlpbw" opt; do
case "$opt" in
h)
printf -- "-l list themes
@@ -33,6 +33,7 @@ WALLPAPER var can be specified for a wallpaper (WALLPAPER=\"somepath\" set-theme
;;
w) set_wallpaper=1
;;
+ *) break;;
esac
done
@@ -41,17 +42,17 @@ shift $((OPTIND-1))
theme_file=$1
-if [ $list_files == 1 ]; then
- ls $1 ./themes/
+if [ $list_files = 1 ]; then
+ ls "$1" ./themes/
exit 0
fi
-if [ "$theme_file" == "" ]; then
+if [ "$theme_file" = "" ]; then
theme_file="$default_theme"
fi
-if [ $ignore_file == 0 ]; then
- source ./themes/$theme_file.sh || exit 1
+if [ $ignore_file = 0 ]; then
+ . "themes/$theme_file.sh" || exit 1
fi
if [ "$WALLPAPER" ]; then
@@ -59,7 +60,7 @@ if [ "$WALLPAPER" ]; then
fi
-if [ $run_pywal == 1 ]; then
+if [ $run_pywal = 1 ]; then
# if your wallpaper engine your using can get the current active wallpaper. add it here
if [ $(pgrep hyprpaper) ]; then
wallpaper=$(hyprctl hyprpaper listactive | grep HDMI | sed 's/HDMI-A-1 = //')
@@ -79,13 +80,13 @@ if [ $run_pywal == 1 ]; then
fi
fi
-[ $ignore_background == 1 ] && background="$ignore_background_color"
+[ $ignore_background = 1 ] && background="$ignore_background_color"
runs_dir="$(find ./targets -mindepth 1 -maxdepth 1 -type f -executable)"
for s in $runs_dir; do
- source "$s"
+ . "$s"
done
-if [ $set_wallpaper == 1 ] && [ "$wallpaper" ]; then
+if [ "$wallpaper" ] && [ $set_wallpaper = 1 ]; then
setwll -ua "$wallpaper"
fi
diff --git a/setwll b/setwll
index 6f512ba..67e99a8 100755
--- a/setwll
+++ b/setwll
@@ -1,6 +1,6 @@
-#!/bin/bash
+#!/bin/sh
# may be moved to theme setter
-cd "$(dirname "$0")"
+cd "$(dirname "$0")" || exit
listwalls=0
unload=0
@@ -8,7 +8,7 @@ secondary=""
primary=""
all=""
-while getopts "h?lup:s:a:" opt; do
+while getopts "hlup:s:a:" opt; do
case "$opt" in
h)
printf -- "-l list wallpapers
@@ -31,13 +31,14 @@ add scripts to wallpaper_scripts for easier switching\n"
;;
a) all="$OPTARG"
;;
+ *) break ;;
esac
done
shift $((OPTIND-1))
[ "${1:-}" = "--" ] && shift
-if [ $listwalls == 1 ]; then
+if [ $listwalls = 1 ]; then
ls ./wallpaper_scripts
exit 0
fi
@@ -51,7 +52,7 @@ if [ -z "$primary" ]; then
primary="$(./wallpaper_scripts/default-primary.sh)"
else
if [ -f "./wallpaper_scripts/$primary.sh" ]; then
- primary="$(./wallpaper_scripts/$primary.sh)"
+ primary="$(./wallpaper_scripts/"$primary.sh")"
fi
fi
@@ -59,36 +60,36 @@ if [ -z "$secondary" ]; then
secondary="$(./wallpaper_scripts/default-secondary.sh)"
else
if [ -f "./wallpaper_scripts/$secondary.sh" ]; then
- secondary="$(./wallpaper_scripts/$secondary.sh)"
+ secondary="$(./wallpaper_scripts/"$secondary".sh)"
fi
fi
if [ "$WAYLAND_DISPLAY" ]; then
- if [ "$XDG_CURRENT_DESKTOP" == "sway:wlroots" ]; then
+ if [ "$XDG_CURRENT_DESKTOP" = "sway:wlroots" ]; then
PID=$(pidof swaybg)
- swaybg -o HDMI-A-1 -i "$primary" -m fill -o DP-1 -i "$secondary" -m fill & disown
+ swaybg -o HDMI-A-1 -i "$primary" -m fill -o DP-1 -i "$secondary" -m fill &
sleep 0.4s
- kill $PID
+ kill "$PID"
else
current_wal="$(hyprctl hyprpaper listactive | grep HDMI-A-1 | sed 's/HDMI-A-1 = //')"
- hyprctl hyprpaper preload $primary
+ hyprctl hyprpaper preload "$primary"
hyprctl hyprpaper wallpaper "HDMI-A-1,$primary"
- if [ $unload == 1 ]; then
+ if [ $unload = 1 ]; then
hyprctl hyprpaper unload "$current_wal"
fi
current_wal="$(hyprctl hyprpaper listactive | grep DP-1 | sed 's/DP-1 = //')"
- hyprctl hyprpaper preload $secondary
+ hyprctl hyprpaper preload "$secondary"
hyprctl hyprpaper wallpaper "DP-1,$secondary"
- if [ $unload == 1 ]; then
+ if [ $unload = 1 ]; then
hyprctl hyprpaper unload "$current_wal"
fi
fi
else
if [ -z "$1" ]; then
- nitrogen --head=0 --set-zoom-fill $primary
+ nitrogen --head=0 --set-zoom-fill "$primary"
- nitrogen --head=1 --set-zoom-fill $secondary
+ nitrogen --head=1 --set-zoom-fill "$secondary"
fi
fi
diff --git a/themes/Labirhin-bot.sh b/themes/Labirhin-bot.sh
new file mode 100755
index 0000000..502114e
--- /dev/null
+++ b/themes/Labirhin-bot.sh
@@ -0,0 +1,36 @@
+# Shell variables
+# Generated by 'wal'
+wallpaper='/home/iceyrazor/stuff/media/wallpapers/Labirhin - Kanjut Kejahatan [PFW4m80Dtog].webp'
+
+# Special
+background='#1c1c1f'
+foreground='#e3e0e4'
+cursor='#e3e0e4'
+
+# Colors
+color0='#1c1c1f'
+color1='#7C839F'
+color2='#8D93AF'
+color3='#9A9DAB'
+color4='#9CA3C6'
+color5='#ABB1CD'
+color6='#D5B8C2'
+color7='#e3e0e4'
+color8='#9e9c9f'
+color9='#7C839F'
+color10='#8D93AF'
+color11='#9A9DAB'
+color12='#9CA3C6'
+color13='#ABB1CD'
+color14='#D5B8C2'
+color15='#e3e0e4'
+
+# FZF colors
+export FZF_DEFAULT_OPTS="
+ $FZF_DEFAULT_OPTS
+ --color fg:7,bg:0,hl:1,fg+:232,bg+:1,hl+:255
+ --color info:7,prompt:2,spinner:1,pointer:232,marker:1
+"
+
+# Fix LS_COLORS being unreadable.
+export LS_COLORS="${LS_COLORS}:su=30;41:ow=30;42:st=30;44:"
diff --git a/themes/dark-purple.sh b/themes/dark-purple.sh
new file mode 100755
index 0000000..9f896c6
--- /dev/null
+++ b/themes/dark-purple.sh
@@ -0,0 +1,36 @@
+# Shell variables
+# Generated by 'wal'
+wallpaper='/home/iceyrazor/stuff/media/wallpapers/made-in-the-abyss.jpg'
+
+# Special
+background='#0c0c15'
+foreground='#c3c2e4'
+cursor='#c3c2e4'
+
+# Colors
+color0='#0c0c15'
+color1='#4A445A'
+color2='#494774'
+color3='#52518D'
+color4='#6866A9'
+color5='#6864BC'
+color6='#827DC7'
+color7='#c3c2e4'
+color8='#88879f'
+color9='#4A445A'
+color10='#494774'
+color11='#52518D'
+color12='#6866A9'
+color13='#6864BC'
+color14='#827DC7'
+color15='#c3c2e4'
+
+# FZF colors
+export FZF_DEFAULT_OPTS="
+ $FZF_DEFAULT_OPTS
+ --color fg:7,bg:0,hl:1,fg+:232,bg+:1,hl+:255
+ --color info:7,prompt:2,spinner:1,pointer:232,marker:1
+"
+
+# Fix LS_COLORS being unreadable.
+export LS_COLORS="${LS_COLORS}:su=30;41:ow=30;42:st=30;44:"
diff --git a/themes/neothea.sh b/themes/neothea.sh
new file mode 100755
index 0000000..9fbeb5d
--- /dev/null
+++ b/themes/neothea.sh
@@ -0,0 +1,36 @@
+# Shell variables
+# Generated by 'wal'
+wallpaper='/home/iceyrazor/stuff/media/wallpapers/neotheta2.png'
+
+# Special
+background='#18080e'
+foreground='#ccd3df'
+cursor='#ccd3df'
+
+# Colors
+color0='#18080e'
+color1='#9A857C'
+color2='#6E3C82'
+color3='#1A6999'
+color4='#665B92'
+color5='#C0499F'
+color6='#35ACC6'
+color7='#ccd3df'
+color8='#8e939c'
+color9='#9A857C'
+color10='#6E3C82'
+color11='#1A6999'
+color12='#665B92'
+color13='#C0499F'
+color14='#35ACC6'
+color15='#ccd3df'
+
+# FZF colors
+export FZF_DEFAULT_OPTS="
+ $FZF_DEFAULT_OPTS
+ --color fg:7,bg:0,hl:1,fg+:232,bg+:1,hl+:255
+ --color info:7,prompt:2,spinner:1,pointer:232,marker:1
+"
+
+# Fix LS_COLORS being unreadable.
+export LS_COLORS="${LS_COLORS}:su=30;41:ow=30;42:st=30;44:"